Alokai

SapccApiCreateBundleRequest

Request parameters for createBundle operation in SapccApi. SapccApiCreateBundleRequest

interface SapccApiCreateBundleRequest {
	readonly baseSiteId: string;
	readonly bundleStarter: BundleStarter;
	readonly cartId: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiCreateBundle
bundleStarterRequiredBundleStarter{BundleStarter} SapccApiCreateBundle
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiCreateBundle
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiCreateBundle

Referenced Types

On this page